<!doctype html>
<html lang="en">

	<head>
		<meta charset="utf-8">

		<title>MFA</title>

		<meta name="apple-mobile-web-app-capable" content="yes">
		<meta name="apple-mobile-web-app-status-bar-style" content="black-translucent">

		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">

		<link rel="stylesheet" href="css/reveal.css">
		<link rel="stylesheet" href="css/theme/solarized.css" id="theme">

		<!-- Theme used for syntax highlighting of code -->
		<link rel="stylesheet" href="lib/css/zenburn.css">

		<!-- Printing and PDF exports -->
		<script>
			var link = document.createElement( 'link' );
			link.rel = 'stylesheet';
			link.type = 'text/css';
			link.href = window.location.search.match( /print-pdf/gi ) ? 'css/print/pdf.css' : 'css/print/paper.css';
			document.getElementsByTagName( 'head' )[0].appendChild( link );
		</script>

		<!--[if lt IE 9]>
		<script src="lib/js/html5shiv.js"></script>
		<![endif]-->
	</head>

	<body>

		<div class="reveal">

			<!-- Any section element inside of this container is displayed as a slide -->
			<div class="slides">
			        <section>
					<h3 id="mfa-y-2fa">MFA y 2FA</h3>
					<p>MFA (multi factor autentication) es una forma de llamar al uso de 2 o mas factores mientras que 2fa (2 factor autentication) solo incluye 2</p>
					<img src="./Pictures/whats-the-difference-between-2fa-and-mfa-615x765.jpg" class="stretch">
			        </section>
			        <section>
					<h2 id="otp">OTP (one-time password)</h2>
					<img src="./Pictures/otp.jpg" class="stretch">
			        </section>
			        <section>
					<ul>
					<li> como funciona 
					<ul>
					<li> HMAC-based one-time password (HOTP) </li>
					<li> time-based one-time password (TOTP) </li>
					</ul></li>
					</ul>
					<img src="./Pictures/otp_2.jpeg" class="stretch">
			        </section>
			        <section>
			        <section>
					<h3 id="hmac-based-one-time-password-hotp">HMAC-based One-Time Password (HOTP)</h3>
					<p>La OTP basada en eventos (también denominada HOTP, lo que implica una contraseña de un solo uso basada en HMAC) es el algoritmo original de contraseña de un solo uso y depende de dos tipos de información.</p>
			        </section>
			        <section>
					<p>El primero es la clave secreta, llamada “inicilización”, la cual solo la conoce el token y el servidor que valida los códigos OTP enviados.</p>
					<p>El segundo tipo de información es el factor móvil que, en el caso de las OTP basadas en eventos, es un contador. El contador es almacenado en el token y en el servidor. El contador del token incrementa al pulsar el botón del token, mientras que el contador del servidor solo se incrementa cuando se valida correctamente una OTP.</p>
			        </section>
			        <section>
					<p>Para calcular una OTP, el token suministra el contador al algoritmo HMAC usando la inicialización del token como clave. HOTP utiliza la función hash de SHA-1 en el HMAC. De esta forma, se genera un valor de 160 bits que después se reduce a los 6 (u 8) dígitos visualizados en el token</p>
			        </section>
			        </section>
			        <section>
			        <section>
					<h3 id="time-based-one-time-password-totp">Time-Based One-Time Password (TOTP)</h3>
					<img src="./Pictures/otp_1.png" class="stretch">
			        </section>
			        <section>
					<p>La contraseña de un solo uso basada en tiempo (TOTP), está inspirada en HOTP, pero su factor móvil es el tiempo en lugar de un contador.
					TOTP emplea tiempo (epoc) en incrementos llamado timestep, que suele ser de 30 o 60 segundos. De esta forma, cada OTP será válida mientras dure el timestep.</p>
			        </section>
			        </section>
			        <section>
					<ul>
					<li>Usos
					<ul>
					<li>Google authenticator</li>
					<li>Sms</li>
					<li>Email</li>
					<li>Llamada telefonica</li>
					</ul></li>
					</ul>
			        </section>
			        <section>
					<ul>
					<li>Ventajas
					<ul>
					<li>Offline (TOTP)</li>
					<li>Facil de usar/implementar</li>
					<li>Celular tiene una capa propia de seguridad (soft-token)</li>
					<li>Ampliamente utilizado</li>
					</ul></li>
					</ul>
			        </section>
			        <section>
					<ul>
					<li>Desventajas
					<ul>
					<li>Cuenta y otp en el mismo dispositivo</li>
					<li>Celular puede estar expuesto a spyware</li>
					<li>Vulnerables a MIDM</li>
					</ul></li>
					</ul>
			        </section>
			        <section>
					<h3 id="security-key-fido-u2f">Security key (FIDO U2F)</h3>
					<img src="./Pictures/yubikey.png" class="stretch">
			        </section>
			        <section>
			        <section>
					<ul>
					<li>Como funciona?</li>
					</ul>
					<p>U2F (universal second factor) es un standart público creado por google y yubico que mejora ampliamente la seguridad.
					<p>Esta basado en cifrado de curva eliptica (ECC), el cual tiene mejor rendimiento que RSA</p>
					<img src="./Pictures/FIDO2-Graphic-v2.png" class="stretch">
			        </section>
			        <section>
					<img src="./Pictures/u2f.png" class="stretch">
			        </section>
			        <section>
					<p>Cada vez que se registra un dispositivo u2f en un proveedor de autenticación (RP), un par de llaves publica y privada son generadas con una llave maestra ubicada en el dispositivo, estas poseen tambien la metadata de la cuenta lo que permite poder generar varias llaves para el mismo RP.</p>
					<p>En el momento de validación el RP envía peticion a través del navegador para vereficar la llave, que responde unicamente a aquellas que fueron creadas en la registracion.</p>
			        </section>
			        <section>
					<p>Los nuevos dispositivos que poseen el protocolo FIDO2 poseen la capacidad de generar nuevas llaves maestras a travez de una secuencia de reseteo.</p>
					<p>FIDO2 posee la capacidad de registrar usuarios y contraseñas dentro de la llave, permitiendo un logueo "sin contraseña" o tambien llamado first-factor</p>
					<p>Algunas llaves como la yubikey son capaces de almacenar hasta 35 registros first-factor</p>
			        </section>
			        </section>
			        <section>
					<ul>
					<li>Usos
					<ul>
					<li>Security keys</li>
					</ul></li>
					</ul>
			        </section>
			        <section>
					<ul>
					<li>Ventajas
					<ul>
					<li>No necesidad de tipear</li>
					<li>Sin bateria</li>
					<li>Inmune a MIDM</li>
					<li>Reutilizable</li>
					<li>Anonima</li>
					</ul></li>
					</ul>
			        </section>
			        <section>
					<ul>
					<li>Desventajas
					<ul>
					<li>Caro</li>
					<li>Facil de perder</li>
					<li>Poco popular</li>
					</ul></li>
					</ul>
			        </section>
			        <section>
					<h1>Q&A</h1>
			        </section>
			</div>

		</div>


		<script src="lib/js/head.min.js"></script>
		<script src="js/reveal.js"></script>

		<script>

			// More info https://github.com/hakimel/reveal.js#configuration
			Reveal.initialize({
				controls: true,
				progress: true,
				history: true,
				center: true,

				transition: 'slide', // none/fade/slide/convex/concave/zoom

				// More info https://github.com/hakimel/reveal.js#dependencies
				dependencies: [
					{ src: 'lib/js/classList.js', condition: function() { return !document.body.classList; } },
					{ src: 'plugin/markdown/marked.js', condition: function() { return !!document.querySelector( '[data-markdown]' ); } },
					{ src: 'plugin/markdown/markdown.js', condition: function() { return !!document.querySelector( '[data-markdown]' ); } },
					{ src: 'plugin/highlight/highlight.js', async: true, callback: function() { hljs.initHighlightingOnLoad(); } },
					{ src: 'plugin/search/search.js', async: true },
					{ src: 'plugin/zoom-js/zoom.js', async: true },
					{ src: 'plugin/notes/notes.js', async: true }
				]
			});

		</script>

	</body>
</body>
</html>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
  <title>MFA</title>
  <style type="text/css">
      code{white-space: pre-wrap;}
      span.smallcaps{font-variant: small-caps;}
      span.underline{text-decoration: underline;}
      div.column{display: inline-block; vertical-align: top; width: 50%;}
  </style>
</head>
